summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_testparm_s3.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/test_testparm_s3.sh')
-rwxr-xr-xsource3/script/tests/test_testparm_s3.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/source3/script/tests/test_testparm_s3.sh b/source3/script/tests/test_testparm_s3.sh
index 0fd1a57c2b..bced6e7e19 100755
--- a/source3/script/tests/test_testparm_s3.sh
+++ b/source3/script/tests/test_testparm_s3.sh
@@ -5,6 +5,15 @@
# The main purpose (for now) is to test all the special handlers
# and the macro expansions.
+if [ $# -lt 1 ]; then
+cat <<EOF
+Usage: test_net_registry_roundtrip.sh LOCAL_PATH
+EOF
+exit 1;
+fi
+
+LOCAL_PATH="$1"
+
TEMP_CONFFILE=${LOCAL_PATH}/smb.conf.tmp
TESTPARM="$VALGRIND ${TESTPARM:-$BINDIR/testparm} --suppress-prompt --skip-logic-checks"